/*
 * Contributor(s): Natasha Noy noy@smi.stanford.edu
 */
//package edu.stanford.smi.fmatoowl;
//
//public class Constants {
//	private static final boolean testing = false;
//	
//	public static final String DL_PREFIX = "dl";
//	
//	public static String SOURCE_FILE_NAME = testing ? "/Users/natasha/Work/UW/FMA/FMA_tiny.pprj" :
//		"/Users/natasha/Work/UW/FMA/FMA.pprj";
//	public static String OWL_DL_FILE_NAME = testing ? "fma_tiny_owl_dl.owl" : "fma_owl_dl.owl";;
//	public static String OWL_FULL_FILE_NAME = testing ? "fma_tiny_owl_full.owl" : "fma_owl_full.owl";
//
//	
//	public static final String FMA_IN_OWL_DL_NAMESPACE = "http://bioontology.org/projects/ontologies/fma/fmaOwlDlComponent#";
//	public static final String FMA_IN_OWL_FULL_NAMESPACE = "http://bioontology.org/projects/ontologies/fma/fmaOwlFullComponent#";
//	
//	public static final String [] ANNOTATION_DATATYPE_PROPERTIES = new String [] {
//		"definition",
//		"FMAID",
//		"slot synonym"
//	};
//	
//	public static final String [] ANNOTATION_OBJECT_PROPERTIES = new String [] {
//		"Preferred name",
//		"Synonym",
//		"Non-English equivalent"
//	};
//	
//	
//	public static final String [] ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Dimensional entity", "Attribute entity", "Standard FMA class"};
//	public static final String [] OWL_DL_ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Dimensional entity", "Attribute entity"};
//	public static final String [] OWL_FULL_ROOT_CLASS_NAMES = new String [] {"Standard FMA class"};
//	public static final String LANGUAGE_LABEL = "en";
//}
/*
 * Contributor(s): Natasha Noy noy@smi.stanford.edu
 */
package edu.stanford.smi.fmatoowl;

public class Constants {

	private static final boolean testing = false;
	public static final String DL_FLAG = "dl";
	
	public static final String DL_PREFIX = "dl";
	
	public static String SOURCE_FILE_NAME = testing ? "/Users/natasha/Work/UW/FMA/FMA_tiny.pprj" :
		"/Users/natasha/Work/UW/FMA/FMA_2_0.pprj";
	public static String OWL_DL_FILE_NAME = testing ? "fma_tiny_owl_dl.owl" : "fma_owl_dl.owl";;
	public static String OWL_FULL_FILE_NAME = testing ? "fma_tiny_owl_full.owl" : "fma_owl_full.owl";

	
	public static final String FMA_IN_OWL_DL_NAMESPACE = "http://smi.stanford.edu/fmaOwlDlComponent#";
	public static final String FMA_IN_OWL_FULL_NAMESPACE = "http://smi.stanford.edu/fmaOwlFullComponent#";
	
	public static final String [] ANNOTATION_DATATYPE_PROPERTIES = new String [] {
		"definition",
		"FMAID",
		"slot synonym"
	};
	
	public static final String [] ANNOTATION_OBJECT_PROPERTIES = new String [] {
		"Preferred name",
		"Synonym",
		"Non-English equivalent"
	};	
	public static final String [] ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Dimensional entity", "Attribute entity", "Standard FMA class"};
//	public static final String [] ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Attribute entity", "Standard FMA class"};
//	public static final String [] ROOT_CLASS_NAMES = new String [] {"RID0","radlex_metaclass", "radlex_synonym"};
	public static final String [] OWL_DL_ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Dimensional entity", "Attribute entity"};
//	public static final String [] OWL_DL_ROOT_CLASS_NAMES = new String [] {"RID0"};
	public static final String [] OWL_FULL_ROOT_CLASS_NAMES = new String [] {"Standard FMA class"};
//	public static final String [] OWL_FULL_ROOT_CLASS_NAMES = new String [] {"radlex_metaclass", "radlex_synonym"};
	public static final String LANGUAGE_LABEL = "en";
}
